/***************************************************************************
                LoggerTest.h
                -----------------------------------------
    begin      : 2011/10/27
    copyright  : (C) 2005 SolutionBox Inc.
    author     : Service 1 Team
    email      : svc1@solbox.com
    version    : 1.0
    
    CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of SolutionBox Inc.
***************************************************************************/
#ifndef __LOGGERTEST_H__
#define __LOGGERTEST_H__

#include "UnitTestIncl.h"

class CLoggerTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( CLoggerTest );

	CPPUNIT_TEST( TestLoggerInit );
	CPPUNIT_TEST( TestLogging );

	CPPUNIT_TEST_SUITE_END();

// Attributes
private:

protected:

public:

// Operations
private:
	void TestLoggerInit();
	void TestLogging();

protected:

public:
	CLoggerTest() {};
	virtual ~CLoggerTest() {};

	void setUp() {};
	void tearDown() {};
};

#endif // __LOGGERTEST_H__
